Get authenticated user details for the user's token submitted in the Authorization header.
Security
UserToken or PersonalToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/v1/me
- Sandbox Environmenthttps://api.wise-sandbox.com/v1/me
- UserToken
- PersonalToken
curl -i -X GET \
https://api.wise.com/v1/me \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'OK - Successfully retrieved user.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
{ "id": 101, "name": "Example Person", "email": "person@example.com", "active": true, "details": { "firstName": "Example", "lastName": "Person", "phoneNumber": "+37111111111", "dateOfBirth": "1977-01-01", "occupation": "", "avatar": "https://lh6.googleusercontent.com/photo.jpg", "primaryAddress": 111, "address": { "countryCode": "EE", "firstLine": "Road 123", "postCode": "11111", "city": "Tallinn", "state": "", "occupation": "" } } }